Reposition goals
curl --request PUT \
--url https://int-data.moneydesktop.com/goals/reposition \
--header 'Content-Type: application/vnd.mx.nexus.v1+json' \
--header 'MD-SESSION-TOKEN: <api-key>' \
--data '
{
"goals": [
{
"guid": "GOL-97665947-235c-b213-ca25-8cf0174774f5",
"position": 1
}
]
}
'import requests
url = "https://int-data.moneydesktop.com/goals/reposition"
payload = { "goals": [
{
"guid": "GOL-97665947-235c-b213-ca25-8cf0174774f5",
"position": 1
}
] }
headers = {
"MD-SESSION-TOKEN": "<api-key>",
"Content-Type": "application/vnd.mx.nexus.v1+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'MD-SESSION-TOKEN': '<api-key>',
'Content-Type': 'application/vnd.mx.nexus.v1+json'
},
body: JSON.stringify({goals: [{guid: 'GOL-97665947-235c-b213-ca25-8cf0174774f5', position: 1}]})
};
fetch('https://int-data.moneydesktop.com/goals/reposition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/goals/reposition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'goals' => [
[
'guid' => 'GOL-97665947-235c-b213-ca25-8cf0174774f5',
'position' => 1
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/vnd.mx.nexus.v1+json",
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/goals/reposition"
payload := strings.NewReader("{\n \"goals\": [\n {\n \"guid\": \"GOL-97665947-235c-b213-ca25-8cf0174774f5\",\n \"position\": 1\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/vnd.mx.nexus.v1+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://int-data.moneydesktop.com/goals/reposition")
.header("MD-SESSION-TOKEN", "<api-key>")
.header("Content-Type", "application/vnd.mx.nexus.v1+json")
.body("{\n \"goals\": [\n {\n \"guid\": \"GOL-97665947-235c-b213-ca25-8cf0174774f5\",\n \"position\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/goals/reposition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/vnd.mx.nexus.v1+json'
request.body = "{\n \"goals\": [\n {\n \"guid\": \"GOL-97665947-235c-b213-ca25-8cf0174774f5\",\n \"position\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"goal": {
"account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
"amount": 4500,
"current_amount": 1651.27,
"guid": "GOL-524ca5db-a2d5-44f3-b048-16de16059024",
"goal_type_name": "string",
"meta_type_name": "VACATION",
"name": "Save for Europe.",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"projected_to_complete_at": "2022-06-14T16:03:53.000Z",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c",
"track_type_name": "SAVINGS_TRACK"
}
}Goals
Reposition goals
PUT
/
goals
/
reposition
Reposition goals
curl --request PUT \
--url https://int-data.moneydesktop.com/goals/reposition \
--header 'Content-Type: application/vnd.mx.nexus.v1+json' \
--header 'MD-SESSION-TOKEN: <api-key>' \
--data '
{
"goals": [
{
"guid": "GOL-97665947-235c-b213-ca25-8cf0174774f5",
"position": 1
}
]
}
'import requests
url = "https://int-data.moneydesktop.com/goals/reposition"
payload = { "goals": [
{
"guid": "GOL-97665947-235c-b213-ca25-8cf0174774f5",
"position": 1
}
] }
headers = {
"MD-SESSION-TOKEN": "<api-key>",
"Content-Type": "application/vnd.mx.nexus.v1+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'MD-SESSION-TOKEN': '<api-key>',
'Content-Type': 'application/vnd.mx.nexus.v1+json'
},
body: JSON.stringify({goals: [{guid: 'GOL-97665947-235c-b213-ca25-8cf0174774f5', position: 1}]})
};
fetch('https://int-data.moneydesktop.com/goals/reposition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/goals/reposition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'goals' => [
[
'guid' => 'GOL-97665947-235c-b213-ca25-8cf0174774f5',
'position' => 1
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/vnd.mx.nexus.v1+json",
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/goals/reposition"
payload := strings.NewReader("{\n \"goals\": [\n {\n \"guid\": \"GOL-97665947-235c-b213-ca25-8cf0174774f5\",\n \"position\": 1\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/vnd.mx.nexus.v1+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://int-data.moneydesktop.com/goals/reposition")
.header("MD-SESSION-TOKEN", "<api-key>")
.header("Content-Type", "application/vnd.mx.nexus.v1+json")
.body("{\n \"goals\": [\n {\n \"guid\": \"GOL-97665947-235c-b213-ca25-8cf0174774f5\",\n \"position\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/goals/reposition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/vnd.mx.nexus.v1+json'
request.body = "{\n \"goals\": [\n {\n \"guid\": \"GOL-97665947-235c-b213-ca25-8cf0174774f5\",\n \"position\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"goal": {
"account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
"amount": 4500,
"current_amount": 1651.27,
"guid": "GOL-524ca5db-a2d5-44f3-b048-16de16059024",
"goal_type_name": "string",
"meta_type_name": "VACATION",
"name": "Save for Europe.",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"projected_to_complete_at": "2022-06-14T16:03:53.000Z",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c",
"track_type_name": "SAVINGS_TRACK"
}
}This endpoint repositions goal priority levels. If one goal is set to a lower priority, then any other goals need to be adjusted accordingly.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Body
application/vnd.mx.nexus.v1+json
Response
200 - application/vnd.mx.nexus.v1+json
OK
Hide child attributes
Hide child attributes

